include:
  - project: sis-cc/.stat-suite/dotstatsuite-quality-assurance
    ref: master
    file: ci-templates/fe-svc.yaml

variables:
  IMAGE: siscc/dotstatsuite-sdmx-faceted-search
  KUBE_DEPLOYMENT: sfs
  NODE_IMAGE: node:18-alpine

unit-tests:
  variables:
    SOLR_HOST: solr
    SOLR_PORT: 8983
    MONGODB_URL: mongodb://mongo:27017
  services:
    - name: mongo
  script: yarn ci-test -u --coverage
  tags:
    - kube
    - oecd
